Bug 417351 - Wrong codepage in console after filesystem check fails
Wrong codepage in console after filesystem check fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 12:57 EST by Alexey Torkhov
Modified: 2009-07-14 13:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:18:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2007-12-09 12:57:38 EST
Description of problem:
After filesystem check fails text in console is written with wrong
font(codepage), localized messages couldn't be read. But after logging in
(entering root password) fonts are becoming good. Also, before rhgb has started,
fonts are also good.

There is no such issue when booting in runlevel 3. So I suppose rhgb screws
console params somehow and they aren't restored back with initscripts.


Version-Release number of selected component (if applicable):
rhgb-0.17.7-3.fc8

How reproducible:
Let fsck fail at boot.

Steps to Reproduce:
1. Add entry "LABEL=notexists /mnt/mnt ext3 defaults 1 2" to /etc/fstab to make
fsck fail.
2. Reboot.
3. Wait till system boots and asked you to enter password.

Actual results:
Message (in english "An error occurred during the file system...") is
unreadable. Looks like written with wrong codepage.

Expected results:
Normal codepage for localized messages.

Additional info:
In /etc/sysconfig/i18n:
LANG="ru_RU.UTF-8"
SYSFONT="latarcyrheb-sun16"
Comment 1 Ray Strode [halfline] 2007-12-17 11:07:35 EST
We do set the console to utf8 mode and force the font to latarcyrheb-sun16.  We
shouldn't need to do that anymore, now that the kernel does the right thing
automatically.

I should drop the call and push an update.
Comment 2 Alexey Torkhov 2008-06-25 04:20:56 EDT
Seems, this is still an issue in F-9. Please fix - it can confuse users.
Comment 3 Bug Zapper 2009-06-09 19:16:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:18:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.